Bug 17799 - MARC bibliographic frameworks breadcrumbs broken for Default framework
Summary: MARC bibliographic frameworks breadcrumbs broken for Default framework
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-21 02:46 UTC by Aleisha Amohia
Modified: 2017-01-19 15:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework (2.96 KB, patch)
2016-12-21 02:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework (3.02 KB, patch)
2016-12-21 16:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework (3.06 KB, patch)
2016-12-30 18:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-12-21 02:46:39 UTC

    
Comment 1 Aleisha Amohia 2016-12-21 02:49:38 UTC
Created attachment 58329 [details] [review]
Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework

To test:
1) Go to Admin -> MARC frameworks -> Default framework actions -> MARC
structure
2) Click New tag
3) Notice the breadcrumbs say '()' instead of 'Default MARC framework'
or something more appropriate
4) Apply patch and refresh page
5) Confirm breadcrumbs are now filled correctly
6) Go back to tag structure and try deleting a tag (Actions -> Delete)
7) Confirm breadcrubs are filled correctly

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2016-12-21 16:35:12 UTC
Created attachment 58363 [details] [review]
[SIGNED-OFF] Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework

To test:
1) Go to Admin -> MARC frameworks -> Default framework actions -> MARC
structure
2) Click New tag
3) Notice the breadcrumbs say '()' instead of 'Default MARC framework'
or something more appropriate
4) Apply patch and refresh page
5) Confirm breadcrumbs are now filled correctly
6) Go back to tag structure and try deleting a tag (Actions -> Delete)
7) Confirm breadcrubs are filled correctly

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2016-12-30 18:46:24 UTC
Created attachment 58546 [details] [review]
Bug 17799: MARC bibliographic frameworks breadcrumbs broken for Default framework

To test:
1) Go to Admin -> MARC frameworks -> Default framework actions -> MARC
structure
2) Click New tag
3) Notice the breadcrumbs say '()' instead of 'Default MARC framework'
or something more appropriate
4) Apply patch and refresh page
5) Confirm breadcrumbs are now filled correctly
6) Go back to tag structure and try deleting a tag (Actions -> Delete)
7) Confirm breadcrubs are filled correctly

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-01-13 12:37:07 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 5 Katrin Fischer 2017-01-15 18:55:32 UTC
Reclassifying this as a minor bug. 
This patch has been pushed to 16.11.x and will be in 16.11.02.
Comment 6 Julian Maurice 2017-01-19 15:22:09 UTC
Pushed to 3.22.x for 3.22.15